%bcond_without tests

Summary:        A Python library for the Docker Engine API
Name:           python-docker
Version:        6.1.3
Release:        5%{?dist}
License:        ASL 2.0
URL:            https://pypi.org/project/docker
Source0:        %{pypi_source docker}

#upstream:  https://github.com/kubernetes/kubernetes/pull/120130
Patch0001:      0001-fix-for-request-2.32.patch

BuildRequires:  python3-setuptools_scm
Requires:	python3-six python3-requests python3-paramiko
Requires:	python3-websocket-client python3-cryptography
Requires:	python3-ipaddress python3-pyOpenSSL python3-idna

BuildArch:      noarch

%description
This package provides a Python library for the Docker Engine API. It lets you do anything the 
docker command does, but from within Python apps - run containers, manage containers, manage 
Swarms, etc.

%package -n python3-docker
Summary:        A Python library for the Docker Engine API

BuildRequires:  python3-devel python3-setuptools python3-pip
Provides:       python3-docker = %{version}-%{release}

%description -n python3-docker
This package provides a Python library for the Docker Engine API. It lets you do anything the 
docker command does, but from within Python apps - run containers, manage containers, manage 
Swarms, etc.

%if %{with tests}
%package -n python-docker-tests
Summary:        Unit tests and integration tests for python-docker

Provides:       python-docker-tests = %{version}-%{release}

%description -n python-docker-tests
This package provides the unit and integration test-suites for python-docker.
%endif 

%package -n python3-docker+ssh
Summary:        Metapackage for python3-docker: ssh extras
Requires:       python3-docker = %{version}-%{release}

%description -n python3-docker+ssh
This is a metapackage bringing in ssh extra requires for python3-docker.It contains no code, 
just makes sure the dependencies are installed.

%prep
%autosetup -p1 -n docker-%{version}
rm -fr docker.egg-info

%build
%py3_build

%install
%py3_install

%if %{with tests}
mkdir -p %{buildroot}%{_libexecdir}/installed-tests/%{name}
cp -avr tests/ %{buildroot}%{_libexecdir}/installed-tests/%{name}/
%endif 

%files -n python3-docker
%license LICENSE
%doc README.md
%{python3_sitelib}/*

%if %{with tests}
%files -n python-docker-tests
%{_libexecdir}/installed-tests
%endif 

%files -n python3-docker+ssh
%ghost %{python3_sitelib}/docker*.egg-info

%changelog
* Mon Dec 02 2024 jackeyji <jackeyji@tencent.com> - 6.1.3-5
- [Type] bugfix
- [DESC] fix for request 2.32 error

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.1.3-4
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.1.3-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.1.3-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 10 2023 jackeyji <jackeyji@tencent.com> - 6.1.3-1
- upgrade to 6.1.3

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.0.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 11 2023 Wang Guodong <gordonwwang@tencent.com> - 6.0.1-2
- Add metapackages for "ssh" extras.

* Tue Apr 11 2023 Wang Guodong <gordonwwang@tencent.com> - 6.0.1-1
- initial build
